import Component from '../../component.js'
import CoEuiToolbarItem from './eui-toolbar-item.js'
import CoEuiSearch from './eui-search.js'

export default class CoEuiToolbarItemSearch extends Component {
  constructor(parent) {
    let selector = 'eui-toolbar-item-search';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/layout/eui-toolbar/toolbar-item-search/toolbar-item-search.component.html
  }
  get euiToolbarItemCO() {
    return new CoEuiToolbarItem(this.currentPath);
  }
  get euiSearchCO() {
    return new CoEuiSearch(this.euiToolbarItemCO.currentPath);
  }
}


